.features {
    // # Grid approach
        // grid-column: 2 / 4;

        // display: grid;
        // grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        // align-content: center;
        // grid-auto-rows: auto;
        // // grid-gap: 4rem;
        // // align-content: center;
        text-align: center;

    // Flex Approach
    grid-column: 2 / 4;
    @include respond(phone) {
        grid-column: 1 / 5;
    }
    align-items: center;
    display: flex;
    flex-direction: column;
    width: 100%;
    overflow: hidden;
    padding-bottom: 8rem;

    &__slides {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        overflow-x: auto;
        scroll-snap-type: x mandatory;
        
        scroll-behavior: smooth;
        -webkit-overflow-scrolling: touch;

        &::-webkit-scrollbar {
            width: 0;
            height: 0;
        }

        &::-webkit-scrollbar-thumb {
            background: transparent;
            border-radius: 10px;
        }
        &::-webkit-scrollbar-track {
            background: transparent;
        }

        & > div {
            scroll-snap-align: start;
            flex-shrink: 0;
            width: 350px;
            @include respond(tab-port) {
                width: 100%;
            }
            // height: 400px;
            // margin-right: 50px;
            transform-origin: center center;
            transform: scale(1);
            transition: transform 0.5s;
            position: relative;
            
            display: flex;
            justify-content: center;
            align-items: center;
            // font-size: 100px;

            // &:target {
                // transform: scale(0.8);
                // background: $color-primary;
            // }
        }
    }

    &__dots {
        display: inline-flex;
        justify-content: space-between;
        gap: 10px;
        visibility: hidden;
        @include respond(tab-port) {
            visibility: visible;
        }
        & a {
            // display: inline-flex;
            width: 1.5rem;
            height: 1.5rem;
            background: trasparent;
            border: 1px solid $color-primary;
            border-radius: 100%;
            text-decoration: none;
            align-items: center;
            justify-content: center;
            // margin: 0 0 0.5rem 0;
            position: relative;

            &:active {
                background: $color-primary;
            }

            &:focus,
            &:hover {
                background: $color-primary;
                border: 1px solid $color-primary;
            }

            // &:target {
            //     background: $color-primary;
            // }
        }
        

    }

    &__info {
        padding: 4rem;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-content: center;

        &__icon {
            // width: 100%;
            flex: 1;
            max-width: 64px;
            margin-left: auto;
            margin-right: auto;
        }

        &__main-heading {
            flex: 1;
            align-items: center;
            justify-content: space-between;
            text-transform: uppercase;

            .badge {
                vertical-align: middle;
            }
        }

        &__main-text {
            // flex: 1;
            font-size: 1.3rem;
        }

        &__btn {
            //
        }
    }
}

/* Don't need button navigation */
// @supports (scroll-snap-type) {
//     .features__dots > a {
//         display: none;
//     }
// }